Subject: bug#20288: 24.4; password management in sql-oracle

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Apr 2015 22:57:12 +0300

> Date: Thu, 09 Apr 2015 22:51:01 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: [email-masked]
> > Date: Thu, 09 Apr 2015 21:36:02 +0200
> > 
> > 
> > =============================================
> > Following issue in "sql-oracle" appeared with Emacs 24.4.1 on Windows. No problems with 24.3.1 on Windows.
> > Once connected to oracle, while changing user with the "connect" command, the word "password" is missing and the password is displayed as clear text!
> > 
> > SQL> connect devel@xe<enter>
> > my_entered_password_is_clear_text!
> > 
> > expected behavior:
> > SQL> connect devel@xe<enter>
> > password displayed as dots in the echo area
> > =============================================
> 
> I cannot reproduce the problem you report.  I see the expected
> behavior.

Actually, it's quite possible that I didn't perform the same steps as
you.  Please provide a complete recipe starting from "emacs -Q" that
could be used to reproduce the problem.  For example, I'm sure that
"once connected to oracle" requires some commands to be type, please
show them.